Skip to main content
GET
/
pwa
/
v3
/
projects
/
:project_slug
/
environments
Getall
curl --request GET \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments \
  --header 'Authorization: Basic <encoded-value>'
{
  "request_id": "<string>",
  "environments": [
    {
      "environment_slug": "<string>",
      "project_slug": "<string>",
      "name": "<string>",
      "oauth_callback_id": "<string>",
      "cross_org_passwords_enabled": true,
      "user_impersonation_enabled": true,
      "zero_downtime_session_migration_url": "<string>",
      "use_custom_domain_in_magic_link_emails": true,
      "user_lock_self_serve_enabled": true,
      "user_lock_threshold": 123,
      "user_lock_ttl": 123,
      "idp_authorization_url": "<string>",
      "idp_dynamic_client_registration_enabled": true,
      "idp_dynamic_client_registration_access_token_template_content": "<string>",
      "project_id": "<string>",
      "type": "LIVE",
      "created_at": "<string>"
    }
  ],
  "status_code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_slug
string
required

Response

Successful response

Response type

request_id
string
required
environments
object[]
required
status_code
integer<int32>
required